%global source_name esteidfirefoxplugin

Name:           firefox-esteid-plugin
Version:        3.8.0.1115
Release:        5%{?dist}
Summary:        Firefox plugin for signing with Estonian ID-cards
License:        LGPLv2+
URL:            http://www.ria.ee
Source0:        https://installer.id.ee/media/sources/%{source_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(openssl)

# Opensc is used to digitally sign with Estonian ID card
Requires:       opensc%{?_isa}
Requires:       mozilla-filesystem%{?_isa}

# Replace esteid-browser-plugin
Provides:       esteid-browser-plugin%{?_isa} = %{version}-%{release}
Obsoletes:      esteid-browser-plugin < 3.8.0


%description
%{name} is a plugin for Firefox that allows digital signing with
Estonian ID card. Digital signing is a common operation on Estonian
electronic bank sites.

This package contains the Estonian ID card digital signing extension
for Firefox, but it may work with other NPAPI browsers too.


%prep
%setup -q -n %{source_name}-%{version}

%build
make plugin %{?_smp_mflags} C_FLAGS='%{optflags} -std=gnu99'

%install
install -D npesteid-firefox-plugin.so %{buildroot}%{_libdir}/mozilla/plugins/npesteid-firefox-plugin.so

%files
%doc README.txt LICENSE.LGPL
%{_libdir}/mozilla/plugins/npesteid-firefox-plugin.so


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0.1115-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep 29 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1115-4
- Fix build and remove make install ... in spec file

* Sun Jun 22 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1115-3
- Rename package to firefox-esteid-plugin

* Fri Jan 31 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1115-2
- Fix spec according to suggestions

* Fri Jan 17 2014 Mihkel Vain <turakas@gmail.com> - 3.8.0.1115-1
- First rpm package for Fedora

* Fri Aug 13 2010 RIA <info@ria.ee> 1.0-1
- first build no changes

